# Function install_pack

- install_pack(pack, name, loadAndSaveNewPlugin, bare_tables?): Promise<void>

- #### Parameters

  - ##### pack: Pack

  - ##### name: undefined | string

  - ##### loadAndSaveNewPlugin: ((arg0) => void)

    - - (arg0): void

      - #### Parameters

        - ##### arg0: Plugin

        #### Returns void

  - ##### bare_tables: boolean = false

  #### Returns Promise<void>

  - Defined in saltcorn-admin-models/models/pack.ts:461

Generated using TypeDoc